%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%global	python_module_name	musicapplet

Name:		gnome-applet-music
Version:	2.4.0
Release:	1%{?dist}
Summary:	A GNOME panel applet to control various music players
Summary(es):	Miniaplicación del panel GNOME para controlar reproductores de música

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://www.kuliniewicz.org/music-applet/

Source0:	http://www.kuliniewicz.org/music-applet/downloads/music-applet-%{version}.tar.gz        

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## The build script will give warnings about missing python modules, such as
## gconf, gnomeapplet, etc.; but these are entirely false positives.
## These modules are only needed at runtime, hence are not included as
## build-time dependencies.
BuildRequires:	GConf2
BuildRequires:	gettext
BuildRequires:	gnome-panel-devel
BuildRequires:	gnome-python2-devel
BuildRequires:	intltool
BuildRequires:	perl(XML::Parser)
BuildRequires:	pygtk2-devel
BuildRequires:	python-devel

## The hicolor-icon-theme dependency is to ensure that the
## %%_datadir/icons/hicolor directory hierarchy is properly owned. 
Requires:	dbus-python >= 0.80
Requires:	gnome-python2-applet
Requires:	gnome-python2-gconf
Requires:	gnome-python2-gnomekeyring
Requires:	hicolor-icon-theme
Requires:	notify-python
Requires:	pygtk2
Requires:	PyXML

Requires(pre):	GConf2

Requires(post):	GConf2

Requires(preun):	GConf2

Provides:	gnome-applet-rhythmbox
Provides:	music-applet
Provides:	rhythmbox-applet

Obsoletes:	gnome-applet-rhythmbox
Obsoletes:	music-applet
Obsoletes:	rhythmbox-applet

%description
Music Applet is a small, simple GNOME panel applet that lets you control a
variety of different music players from the panel. Music Applet provides easy
access to information about the current song and the most important playback
controls.

Music Applet is the successor to the Rhythmbox Applet and currently supports
the following music players:
 * Amarok
 * Audacious
 * Banshee
 * Exaile
 * MPD
 * Muine
 * Rhythmbox
 * Quod Libet
 * VLC
 * XMMS1 and XMMS2

%description -l es
«Miniaplicación Música» es una miniaplicación pequeña y sencilla para
controlar una variedad de reproductores de música del panel GNOME. Provee
aceso fácil a la información sobre la canción actual y los controles más
importantes de la reproducción.

«Miniaplicación Música» es el seguidor del «Miniaplicación Rhythmbox», y
soporta los siguientes reproductores de música:
 * Amarok
 * Audacious
 * Banshee
 * Exaile
 * MPD
 * Muine
 * Rhythmbox
 * Quod Libet
 * VLC
 * XMMS1 and XMMS2


%prep
%setup -qn "music-applet-%{version}"


%build
%configure --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} pyexecdir=%{python_sitelib}
%find_lang music-applet


%clean
rm -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/music-applet.schemas >/dev/null ||:
fi


%post
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/music-applet.schemas >/dev/null ||:


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/music-applet.schemas >/dev/null ||:
fi


%files -f music-applet.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README README.plugins THANKS   
%{_sysconfdir}/gconf/schemas/music-applet.schemas
%{_libdir}/bonobo/servers/GNOME_Music_Applet.server
%{_libdir}/gnome-2.0/ui/GNOME_Music_Applet.xml
%exclude %{python_sitelib}/%{python_module_name}/*.la
%{python_sitelib}/%{python_module_name}/
%{_libexecdir}/music-applet/
%{_datadir}/music-applet/
%{_datadir}/icons/hicolor/*/apps/music-applet-*


%changelog
* Wed Jun 18 2008 Peter Gordon <peter@thecodergeek.com> - 2.4.0-1
- Update to new upstream release (2.4.0), which adds Banshee 1.0 support,
  and an updated Czech (cs) translation. 
   
* Wed Jun 04 2008 Peter Gordon <peter@thecodergeek.com> - 2.3.1-3
- Apply proper fix from upstream, adding a pyexecdir setting to the 'make
  install' invocation (following the automake manual for it) instead of
  reverting the BZR change. Drop the now-unnecessary patch:
  - fix-widgets-destdir.patch
  
* Wed Jun 04 2008 Peter Gordon <peter@thecodergeek.com> - 2.3.1-2
- Add patch to correct the widgets.so location, which fixes import errors on
  adding/initializing the applet. Resolves bug 449105 (Music Applet Crash):
  + fix-widgets-destdir.patch

* Sat May 03 2008 Peter Gordon <peter@thecodergeek.com> - 2.3.1-1
- Update to new upstream release (2.3.1), which fixes an Amarok plugin crasher
  and contains several updated translations.
- Drop external Spanish translation and patch (both applied upstream):
  - es.po
  - add-es-translation.patch

* Tue Feb 26 2008 Peter Gordon <peter@thecodergeek.com> - 2.3.0-2
- Add a Spanish translation for the package (sent upstream) and for the Summary
  and %%description.
  + es.po
  + add-es-translation.patch

* Mon Feb 25 2008 Peter Gordon <peter@thecodergeek.com> - 2.3.0-1
- Update to new upstream release (2.3.0). Adds support for Audacious, Amarok,
  and VLC.
- Simplify %%files listing a bit.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2.1-2
- Autorebuild for GCC 4.3

* Mon Oct 29 2007 Peter Gordon <peter@thecodergeek.com> - 2.2.1-1
- Update to new upstream bugfix release (2.2.1)

* Tue Aug 21 2007 Peter Gordon <peter@thecodergeek.com> - 2.2.0-2
- Update License tag (GPLv2+).
- Rebuild for PPC32 SELinux bug.

* Sat Jul 28 2007 Peter Gordon <peter@thecodergeek.com> - 2.2.0-1
- Update to new upstream release (2.2.0), and update %%description to note new
  music player support.
- Drop upstreamed Exaile play/pause bugfix:
  - fix-Exaile-play_pause.patch
- Sync Provides/Obsoletes, to provide proper upgrade paths for old package
  names.

* Mon May 07 2007 Peter Gordon <peter@thecodergeek.com> - 2.1.0-2
- Add a patch from Nicholas Omann (already in upstream's BZR) to fix bug
  #239373 (Play/Pause button does not work for Exaile plugin):
  + fix-Exaile-play_pause.patch
- Update the %%description to note that it supports Exaile. :)
- Don't mark the installed GConf schemas file as %%config(noreplace).
- Fix %%preun scriplet to use music-applet.schemas instead of "[NAME].spec" in
  the gconftool-2 invocation.

* Sun Feb 11 2007 Peter Gordon <peter@thecodergeek.com> - 2.1.0-1
- Update to new upstream release (2.1.0); which includes a fix for 64-bit
  plugin loading. See the included documentation (ChangeLog) for more
  information.

* Thu Jan 25 2007 Peter Gordon <peter@thecodergeek.com> - 2.0.0-2
- Change Requires(postun) to Requires(preun). There is no %%postun scriplet...
- Update dbus-python dependency (0.80+)
- Fix the most recent two dates in %%changelog.

* Fri Jan 19 2007 Peter Gordon <peter@thecodergeek.com> - 2.0.0-1
- Update to new upstream release (2.0.0) 
- Update URL to new domain of upstream.
- Lots of aesthetic updates to this spec file; and use macros rather than
  RPM_* variables. 

* Sun Sep 03 2006 Peter Gordon <peter@thecodergeek.com> - 0.9.2-2
- Add gettext and perl(XML::Parser) to BuildRequires (fixes bug #197924: fails
  to build in mock with reduced build root)
- Rebuild for FC6 enhancements

* Thu Jun 22 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.2-1
- Upstream update

* Sun Mar 26 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.0
- Renamed to gnome-applet-music from gnome-applet-rhythmbox
